Subject: 2047 in 2388: encoded words in multipart/form-data

From: "Sebastien Lambla" <[email-masked]>
Date: Thu, 7 Jan 2010 14:40:43 +0000

All,

There seems to be an issue with 2388 describing multipart/form-data. It says
that the field name (aka the name= parameter) has to be encoded using 2047
when containing non-ascii characters. As I understand it, the filename
parameter itself is to be encoded with 2231, and 2047 specifically states
that it is not to be used in parameters.

So there's a clash between 2047 and 2388, which should probably be
addressed. In the mean-time, I'd like to know if anyone has been known to
use 2047 for parameters?

I've quickly tested browser implementations, and they simply pass back the
UTF-8 code points I've provided in the markup, which I find very surprising.
How do people deal with such code-points in the headers?

Thanks,

Sebastien Lambla